#ifndef         CCVT_H_
#define         CCVT_H_

#include     <string.h>
#include "currencies.h"
#include    "countls.h"

void   help   (char * arg0, int error,                              struct currency * currencies, int currNum) {
	printf("Usage: %s [INITIAL VALUE] [INITIAL CURRENCY] [FINAL CURRENCY]\nConvert values between currencies.\nSupported currencies are:", arg0);

	for (int i = 0; i < currNum; ++i) {
		if (i%10 == 0)
			printf("\n\t");
		printf    ("%s, ", currencies[i].name);
	}
	printf("\b\b.\nYou can add more by editing \"%s\",\nor update the current exchange rates by running \"update-eRates.sh\".\n", getERates());

	exit  (error);
}

long double getExch(char * init, char * launch,                          struct currency * currencies, int currNum, int gui) {
	for    (int i = 0; i < currNum; ++i          )
		if (strcmp(currencies[i].name, init) == 0)
			return currencies[i].value;

	if (!gui)
		help(launch, 1, currencies, currNum);
	return         0; // this should Not happen
}

long double  toEuro(long double value, char * init, char * launch,               struct currency * currencies, int currNum, int gui) {
	return value                                                 / getExch(init, launch, currencies, currNum, gui);
}

long double convert(long double value, char * init, char * targ,  char * launch, struct currency * currencies, int currNum, int gui) {
	return toEuro(value, init, launch, currencies, currNum, gui) * getExch(targ, launch, currencies, currNum, gui);
}

#endif       // CCVT_H_
