//    Copyright (C) 2022-2023 mirk0dex <mirkodi.eu>
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <https://www.gnu.org/licenses/>.

// fileCount lib: count files in a directory

#ifndef    FILECOUNT_H_
#define    FILECOUNT_H_

#include     <dirent.h>
#include "../options.h"
#include  "dirExists.h"

// thanks to https://stackoverflow.com/users/1891/jay-conrod/users/120338/michiel-buddingh
long int fileCount(char * dirname) {
    // vars
           long int   fileCount = 0               ;
           DIR      * dir       = opendir(dirname);
    struct dirent   * entry                       ;

    if (dirExists(dirname)) {
        while ((entry = readdir(dir)) != NULL)
            if (entry -> d_type == DT_REG) // if entry is a regular file
                ++fileCount;
    }
    else
        return 0        ;

    return     fileCount;
}

#endif  // FILECOUNT_H_
