//    Copyright (C) 2022-2023 mirk0dex <mirkodi.eu>
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <https://www.gnu.org/licenses/>.

// USE THIS FILE TO CONFIGURE CCVT!

#ifndef  OPTIONS_H_
#define  OPTIONS_H_

#include     <stdio.h>
#include    <string.h>
#include    <stdlib.h>
#include    <unistd.h>
#include <sys/types.h>
#include       <pwd.h>

char * getERates    () {
    char * home   = getpwuid(getuid()) -> pw_dir                   ; // get user home directory

    //// CONFIGURATION ////

    char * eRates = strcat  (home, "/.local/share/ccvt/eRates.txt"); // default is $HOME/.local/share/ccvt/eRates
                                                                     // if you change this, please also change
                                                                     // update-eRates.sh

    ///////////////////////

    return eRates;
}

char * getImgPath   () {
    //// CONFIGURATION ////

    char * imgPath = "/usr/share/ccvt/pix/";

    ///////////////////////

    return imgPath;
}

char * getAltImgPath() {
    //// CONFIGURATION ////

    char * imgPath = "./pix/";

    ///////////////////////

    return imgPath;
}

char * getMapImgName() {
    #define MAP_WIDTH  800
    #define MAP_HEIGHT 438

    //// CONFIGURATION ////

    char * mapImg = "map.png";

    ///////////////////////

    return mapImg;
}

#endif // OPTIONS_H_
